#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Task
%define		pnam	Weaken
Summary:	Task::Weaken - ensure that a platform has weaken support
Summary(pl.UTF-8):	Task::Weaken - zapewnienie obsługi "weaken" na każdej platformie
Name:		perl-Task-Weaken
Version:	1.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Task/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4c66b1ac45257ac7fd670920daebf868
URL:		http://search.cpan.org/dist/Task-Weaken/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module contains a replacement for Scalar::Util's "weaken"
function which is not present in the pure-perl variant.

%description -l pl.UTF-8
Moduł ten zastępuje funkcję "weaken" ze Scalar::Util, której nie ma w
czystym Perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Task
%{perl_vendorlib}/Task/Weaken.pm
%{_mandir}/man3/Task::Weaken.3pm*
%changelog
* Sat Mar 24 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Task-Weaken.git;a=log;h=master

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> 3548bd1
- updated to 1.05

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 5c40530
- Up to 1.04

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 38dceec
- pl cosmetic
- explicitly state that it currently owns Task dir (module is Task::Weaken, not just Task)

* Thu Oct 15 2009 amateja <amateja@pld-linux.org> 67df328
- updated to 1.03

* Tue Feb 05 2008 radek <radek@pld-linux.org> 2762c1b
- version 1.02

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b64b195
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 009e5b9
- converted to UTF-8

* Mon Nov 06 2006 Jakub Bogusz <qboosh@pld-linux.org> 39c7003
- added URL

* Thu Oct 26 2006 ankry <ankry@pld-linux.org> bdecdc0
- kill forgotten bogus NOTE

* Wed Oct 25 2006 ankry <ankry@pld-linux.org> 5626c5a
- new

